/***************************************************************************
 *   Copyright (C) 2006 by Borko Boskovic,                                 *
 *   borko.boskovic@uni-mb.si                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef UCI_H
#define UCI_H

#include <glib.h>

#include "move.h"
#include "position.h"

void uciRun(void);
void uciCurrentMove(const guint depth, const guint index, const RootMoves* moves);
void uciMultiPv(const Position* position, const guint depth, const guint searchMultipv, const RootMoves* moves);
void uciBeginDepthInfo(const guint depth);
void uciEndDepthInfo(const guint depth, const guint64 searchNodes);
void uciBestMove(const Move move, const Move pMove);
double uciGetTime(void);

#endif
